package com.platform.modules.ks.service.impl;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.platform.modules.ks.dao.PlmVideoSearchLogDao;
import com.platform.modules.ks.entity.PlmVideoSearchLogEntity;

import com.platform.modules.ks.service.PlmVideoSearchLogService;

import java.util.Arrays;

@Service("PlmVideoSearchLogService")
public class PlmVideoSearchLogServiceImpl extends ServiceImpl<PlmVideoSearchLogDao, PlmVideoSearchLogEntity> implements PlmVideoSearchLogService {

	@Override
	public void save(PlmVideoSearchLogEntity PlmVideoSearchLog){
		this.baseMapper.insert(PlmVideoSearchLog);
	}
	
	@Override
	public void update(PlmVideoSearchLogEntity PlmVideoSearchLog){
		this.baseMapper.update(PlmVideoSearchLog, null);
	}
	
	@Override
	public void delete(Integer id){
		this.baseMapper.deleteById(id);
	}
	
	@Override
	public void deleteBatch(Integer[] ids){
		this.baseMapper.deleteBatchIds(Arrays.asList(ids));
	}
	
}
